al_ustr_compare(3)

NAME

al_ustr_compare - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_ustr_compare(const ALLEGRO_USTR *us1, const ALLEGRO_USTR *us2)

DESCRIPTION

This function compares us1 and us2 by code point values. Returns zero if the strings are equal, a positive number if us1 comes after us2, else a negative number.

This does not take into account locale-specific sorting rules. For that you will need to use another library.

SEE ALSO

al_ustr_ncompare(3), al_ustr_equal(3)